Budgie Desktop:それは何でありそしてそれをインストールする方法

以前はそれが話されていました SolusOS1.0リリースディストリビューションの最も魅力的なもののXNUMXつは、Budgieデスクトップ環境です。

Budgieデスクトップとは何ですか?

に基づくデスクトップ環境です GNOME 3 のチームによって開発されました ソルスプロジェクト あなたのディストリビューションのために。 パネルは構成可能で、デフォルトでは画面の上部にありますが、下部にあります。 下のパネル あなたも両方を持つことができますが

バギー2 次の画像では、右側に、を押すと、ベルに、またはそのときに表示される多目的パネル「レイヴン」が表示されます。 このパネルでは、件名の変更、カレンダーの確認、サウンドの管理、到着した通知の確認など、いくつかの操作を実行できます。

カラス このパネルは、Rhytmboxなどの開いているアプリケーションの管理にも役立ちます。

Rhytmboxの例 工場から、 パネルテーマ それは暗いです (があります 変更されるはずの場所に合わせるものの、 パネル それが残っています 闇)。 Budgie それはに基づいています 標準コンポーネント Gnomeデスクトップから として完全に」 代わりに すべてのコンポーネントを変更する として いくつかの 他の机、したがって、Gnomeがインストールされていると、インストールが簡単になります。

インストール

Ubuntuおよび派生物へのインストール

まず、Ubuntuと、LinuxMintやelementaryOSなどの派生物へのインストールから始めます。

まず、2つのパッケージをインストールする必要があります。
sudo apt-get install build-essential git
Lugoは、Budgieと最も推奨されるテーマ「evopop」をダウンロードしました。
git clone https://github.com/solus-project/budgie-desktop.git
git clone https://github.com/solus-cold-storage/evopop-gtk-theme
EvoPopを入力してインストールします

cd evopop-gtk-theme
sh autogen.sh
sudo make install

次に、依存関係をインストールします

sudo apt-get install libglib2.0-dev libgtk-3-dev libpeas-dev libpulse-dev libgnome-desktop-dev libmutter-dev libgnome-menu-3-dev libwnck-dev libupower-glib-dev libtool valac uuid-dev libgnome-desktop-3-dev gsettings-desktop-schemas-dev intltool libwnck-3-dev libpolkit-agent-1-dev libpolkit-gobject-1-dev

そして、コンパイルします

cd ~
cd budgie-desktop
./autogen.sh --prefix=/usr
make
sudo make install

これで、デスクトップ環境がインストールされました。次に、さらにいくつかのパッケージをインストールします。

sudo apt-get install mutter gnome-settings-daemon gnome-control-center gnome-shell-common gnome-themes-standard-data gnome-tweak-tool

そして、ログイン画面で起動します

ArchLinuxへのインストール

Archユーザーの場合、あまり助けは必要ないので、コマンドは次のとおりです。

sudo pacman -Syu
sudo pacman -S base-devel git desktop-file-utils gnome-menus gnome-settings-daemon gnome-themes-standard gtk3 libgee libpeas libpulse libwnck3 mutter upower vala --needed
git clone https://github.com/evolve-os/budgie-desktop.git;cd budgie-desktop;./autogen.sh --prefix=/usr;make;sudo make install

Fedora / OpenSUSEへのインストール

現時点では、FedoraとOpenSUSEに最新バージョンのBudgieはありませんが、古いバージョンをダウンロードできます。 ここで.

今日はこれ以上何もありません。Budgieのインストールに役立つか、少なくともこの素晴らしいがシンプルなデスクトップを知っていることを願っています。 コメントすることを忘れないでください、そして私はすでにこれらの行でさようならを言います、さようなら!


記事の内容は、次の原則に準拠しています。 編集倫理。 エラーを報告するには、 ここで.

20コメント、あなたのコメントを残してください

コメントを残す

あなたのメールアドレスが公開されることはありません。 必須フィールドには付いています *

*

*

  1. データの責任者:MiguelÁngelGatón
  2. データの目的:SPAMの制御、コメント管理。
  3. 正当化:あなたの同意
  4. データの伝達:法的義務がある場合を除き、データが第三者に伝達されることはありません。
  5. データストレージ:Occentus Networks(EU)がホストするデータベース
  6. 権利:いつでも情報を制限、回復、削除できます。

  1.   ゴンサロ

    archlinuxの情報を更新してください。このデスクトップを簡単にインストールするためのbudgie-desktopパッケージとbudgie-desktop-gitパッケージ(どちらもAURから)がすでにあります。質問がある場合は、 https://wiki.archlinux.org/index.php/Budgie_Desktop

  2.   PRUEBA

    「これはGNOME2と...に基づくデスクトップ環境です。」 私が見るところ(ビルドの依存関係から)、それはGnome3に基づいています!!。

  3.   SLI

    何にも触れずにセキセイインコを味わう簡単な方法は、見た目がとても良く、常にトレンディなセキセイインコのバリエーションでマンジャロを試すことです!
    よろしく

  4.   セザール

    ArchLinuxのインストールはyaourtを介して行うことができ、それらをインストールするためのパッケージはすでに存在します。

    よろしく

    1.    イロジャー

      情報をありがとうございますが、エントリを編集できません。 コメントありがとうございます!

  5.   フランシスコ

    非常に良い、Gnome 2に基づく、コミュニティに属するものを購入するので、少なくともプロジェクトのgithubを少し上で読むと、それがgnome 3に基づいており、同じファイルブラウザーを使用し、次のように記述されていることがわかります。ヴァラ、この記事を書くのは恥ずかしいと思います。

    1.    イロジャー

      まあ、間違いのために、あなたはそのように自分自身を置く必要はありません、それはすでに修正されています。
      そのコメントを書くのは恥ずかしいと思います。

  6.   イロジャー

    まず、批判に感謝しますが、エントリの編集方法がわかりません。 誰かが私にそれを行う方法を手伝ってもらえますか? または、管理者のみが変更できますか?
    感謝

  7.   catpardo50

    パネルはどのように置かれますか?

    1.    イロジャー

      通知領域の右上にあるホイールをクリックします。 次に、[パネル]をクリックし、[パネルの位置]と表示されている場所で[下]を選択します

  8.   rr

    素晴らしい投稿です! 私は休暇中にBudgieについて読みましたが、この記事ですでにインストールしています。

    Ubuntuおよび派生物のdependenciesコマンドにエラーがあります。3つのパッケージ(libwnck-1-devおよびlibpolkit-agent-XNUMX-dev)の末尾に余分なコンマがあり、システムがそれらを認識しません。

    よろしく、

    1.    イロジャー

      残念ながら、変更することはできませんが、カンマを削除するだけです。
      コメントありがとうございます!

  9.   ホセ

    archに問題があるといいのですが、それはgnomeから多くの機能を削除し、拡張機能で解決されたいくつかの機能を追加し、gnomeシェルの使用を許可しないと思います。 私はまだ確信していません。

  10.   アレクサンダー

    このインストール方法はUbuntu15.10専用ですか、それともバージョン14で有効ですか? solusproyectwikiの表示 https://wiki.solus-project.com/Budgie_on_other_Operating_Systems Ubuntu 15.10でテスト済みと書かれていますが、インストール形式が少し異なります。 また、「make」を実行しようとすると、「ターゲットが指定されておらず、makefileが見つかりません」というメッセージが表示されるという問題が発生します。 背が高い」

    1.    イロジャー

      すべてのバージョンで動作するはずです。 「make」のことに関して、「configure」スクリプトを実行しましたか? それ以外の場合は機能しません。
      コメントありがとうございます!

  11.   リンクサー

    debianのインストール?

    1.    Luigys toro

      Ubuntu用に提供されているインストールで問題なく実行できます

    2.    セルキシウス

      autogen.shを実行するとエラーが発生するため、投稿で述べられていることとは別に、gtk-doc-toolsをインストールする必要があります。
      valacの安定したDebianバージョンは0.26.1であり、0.28が必要であるため、ソースをテストに変更するか、そのパッケージのみをインストールする必要があります(リリースを混在させることはお勧めしません)。 すでにDebianテスト/ストレッチを使用している場合は、後者を無視してください:)

    3.    セルキシウス

      忘れる前に、makeを実行する前に、libibus-1.0-devもインストールする必要があります。

  12.   チン

    インストールできません。budgie-desktop部分でエラーが発生します。

    ./autogen.sh –prefix = / usr-この部分では、何も起こりません